Sie sind auf Seite 1von 6

DIGSI 4 V4.

94 Service Pack 1 2020-10-09


Readme

Readme / Installationsanleitung für DIGSI 4 V4.94 Service Pack 1

Neuerungen und Änderungen

ID Fehlerbeschreibung / Lösung

CHDOC00158041 Problem:
Beim Speichern der Geräteprozessdaten in DIGSI 4 mit englischer Bediensprache er-
scheint die entsprechende Meldung in Deutsch

Lösung:
Die Meldung erscheint in Englisch

CHDOC00138985 Problem:
Beim Aktualisieren einer IEC 61850 Station wird ein Fehler bezüglich der Verwendung
von mehr als 255 LNodeTypes gemeldet.

Lösung:
Die Anzahl unterstützter LNodeTypes wurde von 255 auf 32767 erweitert.

--- Problem:
DIGSI 4 installiert und benötigt folgende nicht mehr unterstützte Microsoft Komponenten

- Microsoft Visual C++ Redistributable 2005


- Microsoft Visual C++ Redistributable 2008 SP1

Lösung:
Die oben genannten Microsoft Komponenten werden von DIGSI 4 V4.94 Service Pack 1
weder installiert noch benötigt.

Wichtige Information:
Wurden die Microsoft Komponenten MS VC++ 2005 und/oder MS VC++ 2008 SP1
durch die Installation einer älteren DIGSI 4 Version auf dem Zielrechner installiert, wer-
den diese Komponenten bei der Installation von DIGSI 4 V4.94 Service Pack 1 nicht
automatisch deinstalliert.
Nachdem sie sich vergewissert haben, dass weder MS VC++ 2005 noch MS VC++
2008 SP1 von einer anderen Anwendung auf dem Zielrechner verwendet wird, können
sie beide Komponenten manuell deinstallieren.

--- DIGSI 4 V4.94 Service Pack 1 unterstützt die Verwendung von DIGSI 4 in einer Rug-
gedcom Crossbow Umgebung und erlaubt eine sichere serielle Verbindung von DIGSI 4
zu SIPROTEC 4-Geräten.

Siemens Aktiengesellschaft 1
Copyrights © Siemens AG ▪ 2020 All Rights Reserved ▪
DIGSI 4 V4.94 Service Pack 1 2020-10-09
Readme

Hinweise zu Benutzung/Einschränkungen

DIGSI 4 V4.94 Service Pack 1 ist eine Komplettinstallation und somit unabhängig von einer bereits installier-
ten DIGSI 4 Version. Bei einer bereits installierten älteren Version von DIGSI 4 wird diese während des In-
stallationsvorgangs deinstalliert und durch DIGSI 4 V4.94 Service Pack 1 ersetzt.

Für die Installation von DIGSI 4 V4.94 Service Pack 1 sind Administratorrechte notwendig.

Hinweis für Anwender von SIPROTEC Compact Geräten (z.B. 7SD80, 7SJ80, 7SJ81, 7SK80, 7SK81,
7RW80, 7SC80) mit USB-Schnittstelle:
Führen sie nach der Installation von DIGSI 4 V4.94 Service Pack 1 einen Neustart des PCs durch, um Ver-
bindungsprobleme zwischen DIGSI 4 und SIPROTEC Compact Geräten über USB zu vermeiden.

Wichtig!
Für die Verwendung von DIGSI 4 V4.94 Service Pack 1 auf einem PC mit Windows 10 ist das .Net Frame-
work V3.5 manuell zu installieren. Ein entsprechender Hinweis während der Installation, wie bei älteren
DIGSI 4 Versionen, wird mit DIGSI 4 V4.94 Service Pack 1 nicht mehr angezeigt.
Bei nicht installierten .Net Framework V3.5 lassen sich keine IEC 61850-Geräte öffnen.
Bitte installieren sie .Net Framework V3.5 manuell, um IEC 61850-Geräte wieder öffnen zu können.

Kompatibilität

Mit DIGSI 4 V4.94 Service Pack 1 können Sie bestehende DIGSI 4-Installationen mit Versionsnummer
V4.60 oder höher aktualisieren.

Microsoft Security Updates

Siemens empfiehlt die Installation der folgenden Security Updates von Microsoft:
Falls sie Windows Update auf ihrem Rechner aktiviert haben, ist ein manuelles Installieren der Security-
Updates nicht erforderlich, da diese automatisch auf ihrem PC installiert werden.

Updates für auf Windows 10 basierten Betriebssystemen

▪ Mai 2020 Security Updates


Microsoft .NET Framework - Multiple Vulnerabilities

▪ Juli 2020 Security Updates


Microsoft .NET Framework - Remote Code Execution Vulnerability

▪ August 2020 Security Updates


Microsoft .NET Framework - Information Disclosure Vulnerability

Installation

1. Beenden Sie DIGSI 4 bevor Sie DIGSI 4 V4.94 Service Pack 1 installieren.

Siemens Aktiengesellschaft 2
Copyrights © Siemens AG ▪ 2020 All Rights Reserved ▪
DIGSI 4 V4.94 Service Pack 1 2020-10-09
Readme

2. Entpacken Sie die Datei DIGSI_4-V4.94_SP1.zip in ein lokales Verzeichnis auf Ihrem Rechner. Behal-
ten Sie dabei die Unterverzeichnisse bei.

3. Um das Service Pack für Ihre lokale DIGSI 4-Installation zu installieren, starten sie die Datei
setup.exe
(Für die Installation unter Windows 7 oder Windows 2008 Server, bitte den Abschnitt „Hinweise zur In-
stallation“ beachten)

4. Folgen Sie den Anweisungen während der Installation des Service Packs.

5. Nach der Installation können die entpackten Dateien von ihrem PC entfernt werden.

Hinweise zur Installation


Wichtige Hinweise zur Installation unter Windows 7 und Windows 2008 Server
Bei der Installation des Service Pack unter Windows 7 oder Windows 2008 Server muss die Setup.exe mit
der Option Als Administrator ausführen gestartet werden. Dazu Rechtsklick auf die Datei Setup.exe und
im Auswahlmenü den Eintrag Als Administrator starten auswählen

Deinstallation

DIGSI 4 V4.94 Service Pack 1 kann deinstalliert werden.

Hotline
Um Unterstützung bei der Installation und Benutzung dieses Service Packs zu bekommen, wenden Sie sich
an unsere Hotline.

Customer Support Center


Telefon: +49 (0) 180 524 7000
Fax: +49 (0) 180 524 2471
E-Mail: support.energy@siemens.com
Internet: http://www.siemens.com/energy-support

Siemens Aktiengesellschaft 3
Copyrights © Siemens AG ▪ 2020 All Rights Reserved ▪
DIGSI 4 V4.94 Service Pack 1 2020-10-09
Readme

Readme/Installation Instructions for DIGSI 4 V4.94 Service Pack 1

New Features and Modifications

ID Problem / Solution

CHDOC00158041 Problem:
While saving the SIPROTEC 4 device process data with a DIGSI 4 in English a respec-
tive message in German appears.

Solution:
With DIGSI 4 V4.94 Service Pack 1 this message appears in English

CHDOC00138985 Problem:
During the update process of an IEC 61850 station an error message indicates the use
of more than 255 LNodeTypes.

Solution:
The restriction of not more than 255 LNodeTypes has been lifted. DIGSI 4 V4.94 Ser-
vice Pack 1 supports up to 32767 LNodeTypes.

--- Problem:
DIGSI 4 installs and uses the following discontinued Microsoft components

- Microsoft Visual C++ Redistributable 2005


- Microsoft Visual C++ Redistributable 2008 SP1

Solution:
The aforementioned Microsoft components get neither installed nor are they used by
DIGSI 4 V4.94 Service Pack 1

Important:
Were the Microsoft components MS VC++ 2005 and/or MS VC++ 2008 SP1 already
installed by a previous DIGSI 4 version they will not be automatically uninstalled with
DIGSI 4 V4.94 Service Pack 1.
When you are sure that no other application installed on the PC uses neither MS VC++
2005 nor MS VC++ 2008 SP1 you may uninstall both components manually.

--- DIGSI 4 V4.94 Service Pack 1 supports the deployment of DIGSI 4 in a Ruggedcom
Crossbow environment and allows a secure serial connection between DIGSI 4 and
SIPROTEC 4 devices

Siemens Aktiengesellschaft 4
Copyrights © Siemens AG ▪ 2020 All Rights Reserved ▪
DIGSI 4 V4.94 Service Pack 1 2020-10-09
Readme

Notes on Usage / Restrictions

DIGSI 4 V4.94 Service Pack 1 is a full installation and hence independent of any already installed DIGSI 4
version. During the installation process of DIGSI 4 V4.94 Serve Pack 1 a previously installed DIGSI 4 version
will be uninstalled and replaced by DIGSI 4 V4.94 Service Pack 1.

For the installation of DIGSI 4 V4.94 Service Pack 1 administrator user rights are required.

For users of SIPROTEC Compact (7SD80, 7SJ80, 7SJ81, 7SK80, 7SK81, 7RW80, 7SC80) with USB front
interface:
Do reboot your PC after installation of DIGSI 4 V4.94 Service Pack 1 in order to avoid connection problems
between DIGSI 4 and device via USB.

Important!
To use DIGSI 4 V4.94 Service Pack 1 on a PC with Windows 10 .Net Framework V3.5 must be installed
manually.
A respective message during the installation of DIGSI 4 like in older version is not displayed with DIGSI 4
V4.94 Service Pack 1.
If .Net Framework V3.5 is not installed on the PC IEC 61850 devices can not be opened.
Please do install .Net Framework V3.5 manually to open IEC 61850 devices again.

Compatibility

DIGSI 4 V4.94 Service Pack 1 can be used to update DIGSI 4 V4.60 or higher.

Microsoft Security Updates

▪ Siemens strongly recommends the installation of the following security updates from Microsoft.
In case you have already activated the Windows Update option on your PC you do not need to install the
security updates manually because they will be installed automatically.

Updates for Windows 10 based operation systems

▪ May 2020 Security Updates


Microsoft .NET Framework - Multiple Vulnerabilities

▪ July 2020 Security Updates


Microsoft .NET Framework - Remote Code Execution Vulnerability

▪ August 2020 Security Updates


Microsoft .NET Framework - Information Disclosure Vulnerability

Installation

1. Close DIGSI 4 V4.94 before you install DIGSI 4 V4.94 Service Pack 1.

Siemens Aktiengesellschaft 5
Copyrights © Siemens AG ▪ 2020 All Rights Reserved ▪
DIGSI 4 V4.94 Service Pack 1 2020-10-09
Readme

2. Decompress the file DIGSI_4-V4.94_SP1.zip in a local folder of your computer. Keep the directory struc-
ture as it is in the ZIP archive.

3. To install the service pack for your local DIGSI 4 installation, execute the file setup.exe.
For installation under Windows 7 or Windows 2008 Server read the respective important note in section
“Notes on Installation” below.

4. Follow the instructions during installation of the service pack.

5. You may now remove the decompressed files of the service pack from your local PC.

Notes on Installation

Important notes for installation under Windows 7 and Windows 2008 Server For installation under Win-
dows 7 or Windows 2008 Server you must start the Setup.exe with the option Run as Administrator.

Uninstallation

DIGSI 4 V4.94 Service Pack 1 can be uninstalled.

Hotline
If you have any question regarding the installation or usage of this service pack, do not hesitate to contact
our hotline.

Customer Support Center


Fon: +49 (0) 180 524 7000
Fax: +49 (0) 180 524 2471
E-mail: support.energy@siemens.com
Internet: http://www.siemens.com/energy-support

Siemens Aktiengesellschaft 6
Copyrights © Siemens AG ▪ 2020 All Rights Reserved ▪